Index: ipk/source.sh4/players_hbbtv/CONTROL/postinst
===================================================================
--- ipk/source.sh4/players_hbbtv/CONTROL/postinst	(revision 23951)
+++ ipk/source.sh4/players_hbbtv/CONTROL/postinst	(revision 23955)
@@ -13,3 +13,12 @@
 ln -s "$INSTDIR/usr/local/share/titan/plugins/hbbtv/opera/gstreamer-0.10" /var/usr/lib
 
+model=`cat /etc/model`
+
+if [ "$model" = "ufs910" ];then
+	if [ -e /var/swapdir/swapfile ];then
+		echo "umount /tmp (60mb)"
+		umount /tmp
+	fi
+fi
+
 exit 0
Index: ipk/source.sh4/players_hbbtv/CONTROL/preinst
===================================================================
--- ipk/source.sh4/players_hbbtv/CONTROL/preinst	(revision 23951)
+++ ipk/source.sh4/players_hbbtv/CONTROL/preinst	(revision 23955)
@@ -1,3 +1,15 @@
 #!/bin/sh
 
+model=`cat /etc/model`
+
+if [ "$model" = "ufs910" ];then
+	if [ -e /var/swapdir/swapfile ];then
+		echo "mount /tmp (60mb)"
+		mount -t tmpfs -o remount,size=60m,mode=1777 tmp /tmp
+	else
+		echo "Error, please use swapdir/swapfile and try again !"
+		exit 1
+	fi
+fi
+
 exit 0
Index: ipk/source/screensaver_hotgirls_1_0/CONTROL/postinst
===================================================================
--- ipk/source/screensaver_hotgirls_1_0/CONTROL/postinst	(revision 23951)
+++ ipk/source/screensaver_hotgirls_1_0/CONTROL/postinst	(revision 23955)
@@ -1,3 +1,12 @@
 #!/bin/sh
 
+model=`cat /etc/model`
+
+if [ "$model" = "ufs910" ];then
+	if [ -e /var/swapdir/swapfile ];then
+		echo "umount /tmp (60mb)"
+		umount /tmp
+	fi
+fi
+
 exit 0
Index: ipk/source/screensaver_hotgirls_1_0/CONTROL/preinst
===================================================================
--- ipk/source/screensaver_hotgirls_1_0/CONTROL/preinst	(revision 23951)
+++ ipk/source/screensaver_hotgirls_1_0/CONTROL/preinst	(revision 23955)
@@ -1,3 +1,15 @@
 #!/bin/sh
 
+model=`cat /etc/model`
+
+if [ "$model" = "ufs910" ];then
+	if [ -e /var/swapdir/swapfile ];then
+		echo "mount /tmp (60mb)"
+		mount -t tmpfs -o remount,size=60m,mode=1777 tmp /tmp
+	else
+		echo "Error, please use swapdir/swapfile and try again !"
+		exit 1
+	fi
+fi
+
 exit 0
